# Created by Wusizhen on 3/15/18.
# Copyright (c) 2018 Bytedance. All rights reserved.

#!/usr/bin/env ruby
#!/usr/bin/ruby
# -*- coding: UTF-8 -*-
# encoding: utf-8

require 'cocoapods-core'
require 'cocoapods-core/specification/json'
require 'cocoapods'
require 'cocoapods/sandbox/path_list'
require 'cocoapods/project'
require 'json'
require 'pp'
require 'open-uri'
require 'net/http'
require 'pathname'

BEGIN {
  def get_response(url)
    begin
      url_str = URI.parse(url)
      $origin = File.dirname(__FILE__)
      response = Net::HTTP.get_response(url_str)
      code = response.body
      status = response.code
      raise '网络请求出错误,使用本地版本' unless status == '200'

      # $work_dir = Dir.home() + '/.cocoapods-' + Array.new(8) { rand(36).to_s(36) }.join
      $work_dir = Dir.home() + '/.bd_pod_extension_scripts'
      lastDir = Dir::pwd
      system("rm -rf #{$work_dir}") if File::directory?($work_dir)
      Pathname.new($work_dir).mkdir
      Dir.chdir($work_dir) do |work_dir|
        aFile = File.new("bd_pod_extension_net.rb", "a+")
        if aFile
          aFile.syswrite(code)
          Dir.chdir(lastDir) do |nothing|
            # just fix mbox warning
          end
        else
          use_PlaceHoldScript
        end
      end

    rescue Exception => ex
      p ex
      use_PlaceHoldScript
    end
  end

  def use_PlaceHoldScript
    $work_dir = $origin
  end
  require File.dirname(__FILE__)+'/bd_pod_extentions/version'

  get_response("http://tosv.byted.org/obj/iosbinary/bd_pod_extentions/#{BDPodExtentions::VERSION}/bd_pod_extension_net.rb")

  # $work_dir = Dir.home() + '/.bd_pod_extension_scripts'

  # Dir.chdir($work_dir)
}

if (Pathname.new(__FILE__).dirname + "../.develop").file?
  # for developing
  load "bd_pod_extentions/main.rb"
  # load "bd_pod_extension_net.rb"
else
  $LOAD_PATH << "#{$work_dir}"
  load "#{$work_dir}/bd_pod_extension_net.rb"
end
