# This file is for developing
# The real content in relase will use `../bd_pod_extension_net.rb`, which a 
# combined version of the files bellow.

# 主要的 bd_pod_extension_net.rb 文件的执行有几种情况：
# 
# - 正式环境：真正执行的代码是 从网络上下载到 ~ 目录再执行的
#    - 正常安装过本插件（使用 bundle，或系统安装）
#    - 本地引用执行
# - 开发环境：使用 bundle，真正执行的代码是 main.rb
# 
# 在多种环境下，文件的引用就需要区别对待。最好的方式是不引用，全都写在一个文件里。

# NOTE: must use `require_relative`, not `require`

require_relative 'version'
require_relative 'tool'
require_relative 'original_bd_pod_extension_net'
require_relative 'slardar_assistant'
require_relative 'podfile_patch'
# require_relative 'integration_area'
require_relative 'fix_module'