
module BD

    module Tool
  
      def self.show_as_notification(title="", content)
        system ("osascript -e 'display notification \"#{content}\" with title \"#{title}\" '")
      end
  

      class Path
  
        def self.config
          @config ||= Pod::Config.new
          @config
        end
  
        # [Pathname] the path that contain podfile
        def self.podfile_root_path
          @podfile_root_path ||= config.installation_root
          @podfile_root_path  
        end
      end

    end
end


module BD

    # provide a base class that have a podfile variable
    class PodfileEnvironment
  
      attr_accessor :podfile
  
      def initialize(podfile)
        self.podfile = podfile
      end
  
    end
end